=head1 NAME

Gtk2::ListItem - wrapper for GtkListItem

=cut

=for position DESCRIPTION

=head1 DESCRIPTION

Gtk2::ListItem is the widget used for each item in a Gtk2::List.  Gtk2::List
and Gtk2::ListItem are deprecated; use Gtk2::TreeView and a Gtk2::ListStore
instead.

Gtk2::ListItem is included in Gtk2-Perl only because Gtk2::Combo contains a
Gtk2::List, and Gtk2::Combo's replacement, Gtk2::ComboBox, didn't appear in
gtk+ until 2.4.0.

=cut



=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::ListItem



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::ListItem-E<gt>B<new> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::ListItem-E<gt>B<new_with_label> ($label=undef)

=over

=item * $label (string) 

=back

=head2 $list_item-E<gt>B<deselect> 

=head2 $list_item-E<gt>B<select> 



=cut


=head1 SIGNALS

=over

=item B<end-selection> (Gtk2::ListItem)

=item B<extend-selection> (Gtk2::ListItem, Gtk2::ScrollType, float, boolean)

=item B<scroll-horizontal> (Gtk2::ListItem, Gtk2::ScrollType, float)

=item B<scroll-vertical> (Gtk2::ListItem, Gtk2::ScrollType, float)

=item B<select-all> (Gtk2::ListItem)

=item B<start-selection> (Gtk2::ListItem)

=item B<toggle-add-mode> (Gtk2::ListItem)

=item B<toggle-focus-row> (Gtk2::ListItem)

=item B<undo-selection> (Gtk2::ListItem)

=item B<unselect-all> (Gtk2::ListItem)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ScrollType

=over

=item * 'none' / 'GTK_SCROLL_NONE'

=item * 'jump' / 'GTK_SCROLL_JUMP'

=item * 'step-backward' / 'GTK_SCROLL_STEP_BACKWARD'

=item * 'step-forward' / 'GTK_SCROLL_STEP_FORWARD'

=item * 'page-backward' / 'GTK_SCROLL_PAGE_BACKWARD'

=item * 'page-forward' / 'GTK_SCROLL_PAGE_FORWARD'

=item * 'step-up' / 'GTK_SCROLL_STEP_UP'

=item * 'step-down' / 'GTK_SCROLL_STEP_DOWN'

=item * 'page-up' / 'GTK_SCROLL_PAGE_UP'

=item * 'page-down' / 'GTK_SCROLL_PAGE_DOWN'

=item * 'step-left' / 'GTK_SCROLL_STEP_LEFT'

=item * 'step-right' / 'GTK_SCROLL_STEP_RIGHT'

=item * 'page-left' / 'GTK_SCROLL_PAGE_LEFT'

=item * 'page-right' / 'GTK_SCROLL_PAGE_RIGHT'

=item * 'start' / 'GTK_SCROLL_START'

=item * 'end' / 'GTK_SCROLL_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Item>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

